﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Telerik.WinControls.Data

Namespace _876437
	Partial Public Class Form1
		Inherits Form

		Public Sub New()
			InitializeComponent()
			radMultiColumnComboBox1.DataSource = GetTable()
			radMultiColumnComboBox1.DisplayMember = "Name"
			radMultiColumnComboBox1.ValueMember = "Name"

			Me.radMultiColumnComboBox1.AutoFilter = True
			Dim compositeFilter As New CompositeFilterDescriptor()
			Dim prodName As New FilterDescriptor("Name", FilterOperator.Contains, "")
			Dim prodQuantity As New FilterDescriptor("Drug", FilterOperator.Contains, "")
			compositeFilter.FilterDescriptors.Add(prodName)
			compositeFilter.FilterDescriptors.Add(prodQuantity)
			compositeFilter.LogicalOperator = FilterLogicalOperator.Or

			Me.radMultiColumnComboBox1.EditorControl.FilterDescriptors.Add(compositeFilter)
		End Sub
		Private Shared Function GetTable() As DataTable
			'
			' Here we create a DataTable with four columns.
			'
			Dim table As New DataTable()
			table.Columns.Add("Dosage", GetType(Integer))
			table.Columns.Add("Drug", GetType(String))
			table.Columns.Add("Name", GetType(String))
			table.Columns.Add("Date", GetType(Date))

			'
			' Here we add five DataRows.
			'
			table.Rows.Add(25, "Indocin", "David", Date.Now)
			table.Rows.Add(50, "Enebrel", "Sam", Date.Now)
			table.Rows.Add(10, "Hydralazine", "Christoff", Date.Now)
			table.Rows.Add(21, "Combivent", "Janet", Date.Now)
			table.Rows.Add(100, "Dilantin", "Melanie", Date.Now)
			Return table
		End Function
	End Class
End Namespace
